Workflows Service, REST: Workflow.Get

Retrieves specified Workflow.

HTTP request

GET https://serverless-workflows.api.cloud.yandex.net/workflows/v1/workflow/{workflowId}
        

Path parameters

Field

Description

workflowId

string

Required field. ID of the Workflow.

Response

HTTP Code: 200 - OK

{
          "workflow": {
            "id": "string",
            "folderId": "string",
            "specification": {
              // Includes only one of the fields `specYaml`
              "specYaml": "string"
              // end of the list of possible fields
            },
            "createdAt": "string",
            "name": "string",
            "description": "string",
            "labels": "object",
            "status": "string",
            "logOptions": {
              "disabled": "boolean",
              // Includes only one of the fields `logGroupId`, `folderId`
              "logGroupId": "string",
              "folderId": "string",
              // end of the list of possible fields
              "minLevel": "string"
            },
            "networkId": "string",
            "serviceAccountId": "string",
            "express": "boolean",
            "schedule": {
              "cronExpression": "string",
              "timezone": "string"
            },
            "isPublic": "boolean",
            "executionUrl": "string"
          }
        }
        

Field

Description

workflow

Workflow

Required field. Workflow properties.

Workflow

Field

Description

id

string

Required field. ID of the Workflow. Generated at creation time.

folderId

string

Required field. ID of the folder that the Workflow belongs to.

specification

WorkflowSpecification

Required field. Specification of the Workflow

createdAt

string (date-time)

Required field. Creation timestamp for the Workflow.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

name

string

Required field. Name of the Workflow. The name is unique within the folder.

description

string

Description of the Workflow.

labels

object (map<string, string>)

Workflow labels as key:value pairs.

status

enum (Status)

Required field. Status of the Workflow.

  • CREATING: Workflow is being created.
  • ACTIVE: Workflow is ready for use.
  • UPDATING: Workflow is being updated.
  • DELETING: Workflow is being deleted.
  • ERROR: Workflow failed. The only allowed action is delete.

logOptions

LogOptions

Options for logging from the Workflow.

networkId

string

ID of the VPC network Workflow will be executed in, in order to access private resources.

serviceAccountId

string

ID of the Service Account which will be used for resource access in Workflow execution.

express

boolean

Express execution mode.

schedule

WorkflowSchedule

Workflow schedule settings.

isPublic

boolean

Ability of the Workflow to be executed without authentication.

executionUrl

string

Execution URL of the Workflow.

WorkflowSpecification

Field

Description

specYaml

string

Workflow specification in YAML format.

Includes only one of the fields specYaml.

LogOptions

Field

Description

disabled

boolean

Is logging from Workflow disabled.

logGroupId

string

ID of the logging group which should be used for Workflows logs.

Includes only one of the fields logGroupId, folderId.

folderId

string

ID of the folder which default logging group should be used for Workflows.

Includes only one of the fields logGroupId, folderId.

minLevel

enum (Level)

Minimum logs level.
See LogLevel.Level for details.

  • TRACE: Trace log level.
    Possible use case: verbose logging of some business logic.
  • DEBUG: Debug log level.
    Possible use case: debugging special cases in application logic.
  • INFO: Info log level.
    Mostly used for information messages.
  • WARN: Warn log level.
    May be used to alert about significant events.
  • ERROR: Error log level.
    May be used to alert about errors in infrastructure, logic, etc.
  • FATAL: Fatal log level.
    May be used to alert about unrecoverable failures and events.

WorkflowSchedule

Field

Description

cronExpression

string

Required field. Cron expression for the Workflow schedule.

The maximum string length in characters is 100.

timezone

string

Required field. Timezone for the Workflow schedule.

Предыдущая
Следующая